Subject: Re: [MeeGo-Dev][PATCH] Topcliff: Update PCH_CAN driver to 2.6.35

From: Greg KH <[email-masked]>
Date: Wed, 11 Aug 2010 19:04:14 -0700

On Thu, Aug 12, 2010 at 09:42:27AM +0800, Wang, Qi wrote:
> > -----Original Message-----
> > From: Daniel Baluta [mailto:[email-masked]]
> > Sent: Wednesday, August 11, 2010 6:37 PM
> > To: Masayuki Ohtak
> > Cc: [email-masked]; Wolfgang Grandegger;
> > [email-masked]; [email-masked]; Khor, Andrew Chih
> > Howe; [email-masked]; [email-masked]; Wang, Qi; Wang, Yong Y
> > Subject: Re: [MeeGo-Dev][PATCH] Topcliff: Update PCH_CAN driver to 2.6.35
> > 
> > Hi,
> > 
> > 2010/8/11 Masayuki Ohtak <[email-masked]>:
> > > CAN driver of Topcliff PCH
> > >
> > > Topcliff PCH is the platform controller hub that is going to be used in
> > > Intel's upcoming general embedded platform. All IO peripherals in
> > > Topcliff PCH are actually devices sitting on AMBA bus.
> > > Topcliff PCH has CAN I/F. This driver enables CAN function.
> > >
> > > Signed-off-by: Masayuki Ohtake <[email-masked]>
> > 
> > I have a few questions:
> > 
> > 1. Is your code based on Intel's CAN EP80579 ([1]) ?
> No.
> > 2. Why don't you use kernel existing kfifo infrastructure? ([2]).
> Just take a look at kfifo.h. This structure has been changed. I
> remembered there was a spin_lock from kfifo previously. Currently it's
> been removed, good.
> OKI-sans, would you please take a look at ./include/linux/kfifo.h, and try to use this structure and APIs?
> 
> Daniel,
> 
> We're anxious to integrate those codes now. Perhaps it'll take us
> quite a long time to use kfifo. How about implementing it with the
> next version?

What do you mean by this?  Code isn't merged into the tree unless it is
correct.  Please fix this now, it's not that big of a deal.

> > 3. Can you provide a pointer to Topcliff PCH CAN I/F datasheet ?
> Currently this datasheet isn't open.

Even under NDA?  The Linux foundation offers a service to allow
developers access to data sheets so that they can do kernel development
and code review.

thanks,

greg k-h